<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:33 CEST 2019 -->
<title>FBWorkaroundStringField (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBWorkaroundStringField (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/field/FBLongVarCharField.html" title="class in org.firebirdsql.jdbc.field"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jdbc/field/FieldDataProvider.html" title="interface in org.firebirdsql.jdbc.field"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jdbc/field/FBWorkaroundStringField.html" target="_top">Frames</a></li>
<li><a href="FBWorkaroundStringField.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc.field</div>
<h2 title="Class FBWorkaroundStringField" class="title">Class FBWorkaroundStringField</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">org.firebirdsql.jdbc.field.FBField</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jdbc.field.FBWorkaroundStringField</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">FBWorkaroundStringField</span>
extends <a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></pre>
<div class="block">Class implementing workaround for "operation was cancelled" bug in server.
 When we send some string data exceeding maximum length of the corresponding
 field causes "operation was cancelled" in remote module of the server instead
 of "arithmetic exception..." error. This makes code debugging harder, since
 error message is not very informative.
 <p>
 However we cannot simply check length locally. Maximum allowed length in bytes 
 is connected with the character set of the field as defined lengh * maximum
 number of bytes per character in that encoding. However this does not work
 for system tables which have defined length 31, character set UNICODE_FSS and
 maximum allowed length of 31 (instead of 31 * 3 = 63).
 <p>
 Until this bug is fixed in the engine we will simply check if field belongs 
 to the system table and do not throw data truncation error locally.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:rrokytskyy@users.sourceforge.net">Roman Rokytskyy</a>, <a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#possibleCharLength">possibleCharLength</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.jdbc.field.FBField">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.jdbc.field.<a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></h3>
<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#fieldDescriptor">fieldDescriptor</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#gdsHelper">gdsHelper</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#requiredType">requiredType</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#scale">scale</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/math/BigDecimal.html?is-external=true" title="class or interface in java.math">BigDecimal</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getBigDecimal--">getBigDecimal</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/math/BigInteger.html?is-external=true" title="class or interface in java.math">BigInteger</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getBigInteger--">getBigInteger</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getBinaryStream--">getBinaryStream</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getBoolean--">getBoolean</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getByte--">getByte</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getBytes--">getBytes</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getDate--">getDate</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getDate-java.util.Calendar-">getDate</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getDouble--">getDouble</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getFloat--">getFloat</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getInt--">getInt</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getLong--">getLong</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getShort--">getShort</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getString--">getString</a></span>()</code>
<div class="block">Get string value of this field.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getTime--">getTime</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getTime-java.util.Calendar-">getTime</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getTimestamp--">getTimestamp</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#getTimestamp-java.util.Calendar-">getTimestamp</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setBigDecimal-java.math.BigDecimal-">setBigDecimal</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/math/BigDecimal.html?is-external=true" title="class or interface in java.math">BigDecimal</a>&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setBigInteger-java.math.BigInteger-">setBigInteger</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/math/BigInteger.html?is-external=true" title="class or interface in java.math">BigInteger</a>&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setBinaryStreamInternal-java.io.InputStream-long-">setBinaryStreamInternal</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;in,
                       long&nbsp;length)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setBoolean-boolean-">setBoolean</a></span>(boolean&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setByte-byte-">setByte</a></span>(byte&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setBytes-byte:A-">setBytes</a></span>(byte[]&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setCharacterStreamInternal-java.io.Reader-long-">setCharacterStreamInternal</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in,
                          long&nbsp;length)</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setDate-java.sql.Date-">setDate</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setDate-java.sql.Date-java.util.Calendar-">setDate</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;value,
       <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setDouble-double-">setDouble</a></span>(double&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setFloat-float-">setFloat</a></span>(float&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setInteger-int-">setInteger</a></span>(int&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setLong-long-">setLong</a></span>(long&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setShort-short-">setShort</a></span>(short&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setString-java.lang.String-">setString</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setStringForced-java.lang.String-">setStringForced</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set string value without any check of its length.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setTime-java.sql.Time-">setTime</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setTime-java.sql.Time-java.util.Calendar-">setTime</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;value,
       <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)</code>&nbsp;</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setTimestamp-java.sql.Timestamp-">setTimestamp</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setTimestamp-java.sql.Timestamp-java.util.Calendar-">setTimestamp</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;value,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)</code>&nbsp;</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/field/FBWorkaroundStringField.html#setTrimString-boolean-">setTrimString</a></span>(boolean&nbsp;trimString)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.jdbc.field.FBField">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.jdbc.field.<a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></h3>
<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#close--">close</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#createField-org.firebirdsql.gds.ng.fields.FieldDescriptor-org.firebirdsql.jdbc.field.FieldDataProvider-org.firebirdsql.gds.impl.GDSHelper-boolean-">createField</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getAlias--">getAlias</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getArray--">getArray</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getBigDecimal-int-">getBigDecimal</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getBlob--">getBlob</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getCharacterStream--">getCharacterStream</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getClob--">getClob</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getDatatypeCoder--">getDatatypeCoder</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getDecimal--">getDecimal</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getDecimal-java.lang.Class-">getDecimal</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getFieldData--">getFieldData</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getName--">getName</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getObject--">getObject</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getObject-java.lang.Class-">getObject</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getObject-java.util.Map-">getObject</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getObjectConverter--">getObjectConverter</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getRawDateTimeStruct--">getRawDateTimeStruct</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getRef--">getRef</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getRelationName--">getRelationName</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getRowId--">getRowId</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#isInvertTimeZone--">isInvertTimeZone</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#isNull--">isNull</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#isType-org.firebirdsql.gds.ng.fields.FieldDescriptor-int-">isType</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setBinaryStream-java.io.InputStream-">setBinaryStream</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setBinaryStream-java.io.InputStream-int-">setBinaryStream</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setBinaryStream-java.io.InputStream-long-">setBinaryStream</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setBlob-org.firebirdsql.jdbc.FBBlob-">setBlob</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setCharacterStream-java.io.Reader-">setCharacterStream</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setCharacterStream-java.io.Reader-int-">setCharacterStream</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setCharacterStream-java.io.Reader-long-">setCharacterStream</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setClob-org.firebirdsql.jdbc.FBClob-">setClob</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setConnection-org.firebirdsql.gds.impl.GDSHelper-">setConnection</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setDecimal-org.firebirdsql.extern.decimal.Decimal-">setDecimal</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setFieldData-byte:A-">setFieldData</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setNull--">setNull</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setObject-java.lang.Object-">setObject</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setRawDateTimeStruct-org.firebirdsql.gds.ng.DatatypeCoder.RawDateTimeStruct-">setRawDateTimeStruct</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setRequiredType-int-">setRequiredType</a>, <a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setRowId-java.sql.RowId-">setRowId</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="possibleCharLength">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>possibleCharLength</h4>
<pre>protected final&nbsp;int possibleCharLength</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setTrimString-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTrimString</h4>
<pre>public&nbsp;void&nbsp;setTrimString(boolean&nbsp;trimString)</pre>
</li>
</ul>
<a name="setString-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setString</h4>
<pre>public&nbsp;void&nbsp;setString(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setStringForced-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStringForced</h4>
<pre>public&nbsp;void&nbsp;setStringForced(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Set string value without any check of its length. This is a workaround 
 for the problem described above.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - value to set.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if something went wrong.</dd>
</dl>
</li>
</ul>
<a name="getString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getString()
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get string value of this field.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>string value of this filed or <code>null</code> if the value is 
 NULL.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getByte--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getByte</h4>
<pre>public&nbsp;byte&nbsp;getByte()
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getByte--">getByte</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getShort--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShort</h4>
<pre>public&nbsp;short&nbsp;getShort()
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getShort--">getShort</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getInt--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInt</h4>
<pre>public&nbsp;int&nbsp;getInt()
           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getInt--">getInt</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getLong--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLong</h4>
<pre>public&nbsp;long&nbsp;getLong()
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getLong--">getLong</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBigDecimal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBigDecimal</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/math/BigDecimal.html?is-external=true" title="class or interface in java.math">BigDecimal</a>&nbsp;getBigDecimal()
                         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getBigDecimal--">getBigDecimal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getFloat--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFloat</h4>
<pre>public&nbsp;float&nbsp;getFloat()
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getFloat--">getFloat</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getDouble--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDouble</h4>
<pre>public&nbsp;double&nbsp;getDouble()
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getDouble--">getDouble</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBoolean--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoolean</h4>
<pre>public&nbsp;boolean&nbsp;getBoolean()
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getBoolean--">getBoolean</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBinaryStream--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBinaryStream</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;getBinaryStream()
                            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getBinaryStream--">getBinaryStream</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBytes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBytes</h4>
<pre>public&nbsp;byte[]&nbsp;getBytes()
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getBytes--">getBytes</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getDate-java.util.Calendar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDate</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;getDate(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getDate-java.util.Calendar-">getDate</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getDate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDate</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;getDate()
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getDate--">getDate</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getTime-java.util.Calendar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTime</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;getTime(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getTime-java.util.Calendar-">getTime</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTime</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;getTime()
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getTime--">getTime</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getTimestamp-java.util.Calendar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimestamp</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;getTimestamp(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getTimestamp-java.util.Calendar-">getTimestamp</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getTimestamp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimestamp</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;getTimestamp()
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getTimestamp--">getTimestamp</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBigInteger--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBigInteger</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/math/BigInteger.html?is-external=true" title="class or interface in java.math">BigInteger</a>&nbsp;getBigInteger()
                         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#getBigInteger--">getBigInteger</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setByte-byte-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setByte</h4>
<pre>public&nbsp;void&nbsp;setByte(byte&nbsp;value)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setByte-byte-">setByte</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setShort-short-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setShort</h4>
<pre>public&nbsp;void&nbsp;setShort(short&nbsp;value)
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setShort-short-">setShort</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setInteger-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInteger</h4>
<pre>public&nbsp;void&nbsp;setInteger(int&nbsp;value)
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setInteger-int-">setInteger</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setLong-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLong</h4>
<pre>public&nbsp;void&nbsp;setLong(long&nbsp;value)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setLong-long-">setLong</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setFloat-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFloat</h4>
<pre>public&nbsp;void&nbsp;setFloat(float&nbsp;value)
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setFloat-float-">setFloat</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setDouble-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDouble</h4>
<pre>public&nbsp;void&nbsp;setDouble(double&nbsp;value)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setDouble-double-">setDouble</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setBigDecimal-java.math.BigDecimal-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBigDecimal</h4>
<pre>public&nbsp;void&nbsp;setBigDecimal(<a href="https://docs.oracle.com/javase/8/docs/api/java/math/BigDecimal.html?is-external=true" title="class or interface in java.math">BigDecimal</a>&nbsp;value)
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setBigDecimal-java.math.BigDecimal-">setBigDecimal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setBoolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBoolean</h4>
<pre>public&nbsp;void&nbsp;setBoolean(boolean&nbsp;value)
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setBoolean-boolean-">setBoolean</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setBinaryStreamInternal-java.io.InputStream-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBinaryStreamInternal</h4>
<pre>protected&nbsp;void&nbsp;setBinaryStreamInternal(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;in,
                                       long&nbsp;length)
                                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setBinaryStreamInternal-java.io.InputStream-long-">setBinaryStreamInternal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setCharacterStreamInternal-java.io.Reader-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCharacterStreamInternal</h4>
<pre>protected&nbsp;void&nbsp;setCharacterStreamInternal(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in,
                                          long&nbsp;length)
                                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setCharacterStreamInternal-java.io.Reader-long-">setCharacterStreamInternal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setBytes-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBytes</h4>
<pre>public&nbsp;void&nbsp;setBytes(byte[]&nbsp;value)
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setBytes-byte:A-">setBytes</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setDate-java.sql.Date-java.util.Calendar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDate</h4>
<pre>public&nbsp;void&nbsp;setDate(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;value,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setDate-java.sql.Date-java.util.Calendar-">setDate</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setDate-java.sql.Date-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDate</h4>
<pre>public&nbsp;void&nbsp;setDate(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Date.html?is-external=true" title="class or interface in java.sql">Date</a>&nbsp;value)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setDate-java.sql.Date-">setDate</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setTime-java.sql.Time-java.util.Calendar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTime</h4>
<pre>public&nbsp;void&nbsp;setTime(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;value,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setTime-java.sql.Time-java.util.Calendar-">setTime</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setTime-java.sql.Time-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTime</h4>
<pre>public&nbsp;void&nbsp;setTime(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Time.html?is-external=true" title="class or interface in java.sql">Time</a>&nbsp;value)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setTime-java.sql.Time-">setTime</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setTimestamp-java.sql.Timestamp-java.util.Calendar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTimestamp</h4>
<pre>public&nbsp;void&nbsp;setTimestamp(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;value,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Calendar.html?is-external=true" title="class or interface in java.util">Calendar</a>&nbsp;cal)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setTimestamp-java.sql.Timestamp-java.util.Calendar-">setTimestamp</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setTimestamp-java.sql.Timestamp-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTimestamp</h4>
<pre>public&nbsp;void&nbsp;setTimestamp(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;value)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setTimestamp-java.sql.Timestamp-">setTimestamp</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setBigInteger-java.math.BigInteger-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setBigInteger</h4>
<pre>public&nbsp;void&nbsp;setBigInteger(<a href="https://docs.oracle.com/javase/8/docs/api/java/math/BigInteger.html?is-external=true" title="class or interface in java.math">BigInteger</a>&nbsp;value)
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html#setBigInteger-java.math.BigInteger-">setBigInteger</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/jdbc/field/FBField.html" title="class in org.firebirdsql.jdbc.field">FBField</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/field/FBLongVarCharField.html" title="class in org.firebirdsql.jdbc.field"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jdbc/field/FieldDataProvider.html" title="interface in org.firebirdsql.jdbc.field"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jdbc/field/FBWorkaroundStringField.html" target="_top">Frames</a></li>
<li><a href="FBWorkaroundStringField.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
